Menu

LEX File Exchange EA Support Files
SC4 Wikipedia Network Addon Mod
Dependencies Chat

Author Topic: Problems with SC4Tool again  (Read 228 times)

0 Members and 1 Guest are viewing this topic.

Offline evarburg

  • Forums Governor
  • *
  • Posts: 392
  • Reputation: 0
Problems with SC4Tool again
« on: November 07, 2019, 02:23:21 PM »
I play (and lot) on a Parallels Partition running Windows 8.1. After an upgrade of my mac (where the partition is) and a reinstall of both Parallels and Windows 8.1 I checked my usual tool programs ; all work except SC4Tool : some functions work, others don't and freeze the program if I try to open a file



 (the “OK?” is for functions that open a proper window but I don't [know how to] use them).
 I was worried the 32/63 bits thing might be the problem but I am told that it should not be a concern for SC4Tool used on a mac Parallels partition running Windows 8.1 (and why should it, since the other 32 bit programs work OK? – Reader, L.E., PIMX and DataNode) ; the fact that I upgraded from Yosemite to High Sierra on my mac would be irrelevant, then

So. Exactly what does SC4Tool need to function properly? Windows Net Framework, right? There are two versions of it. The version I downloaded from Simcity Kurier (after consulting a thread about SC4 Tool… dated 2011, though) is dotnetfx. It has “known compatibility problems”. The one I used to have (and reinstalled after reinstalling SC4Tool) is NetFx20SP2_x64.



 Is there anything more? Can someone tell me from that last pict if something essential is missing ?

Offline Andreas

  • Administrator
  • Forums Legend
  • *
  • Posts: 4747
  • Reputation: 33
    • SimCityPlaza
  • CL: ()bobby() Transit Controller
Re: Problems with SC4Tool again
« Reply #1 on: November 07, 2019, 04:52:06 PM »
Uh, did you just put the .NET Framework installer in the SC4Tool folder? Naturally, that won't work, you gotta double-click and install the .NET Framework properly. And as I pointed out in my PN, you might have to install the 32 bit version, even though you have a 64 bit Windows, since SC4Tool is a 32 bit program (I don't know exactly if the .NET Framework installer needs to match the program or Windows itself, bit-wise).
Andreas

Offline evarburg

  • Forums Governor
  • *
  • Posts: 392
  • Reputation: 0
Re: Problems with SC4Tool again
« Reply #2 on: November 07, 2019, 10:31:14 PM »
I did not put it there -- I found it installed there after executing. And that is the version of the NetFramework that I previously had with SC4Tool when it worked... I think --I can't verify, having lost the not-backed-up stuff on the partition before it was reinstalled...)

Meanwhile, having installed a newer version of the Net Framework (NDP452-KB2901907-x86-x64-AllOS-ENU), thinking it might help, this is how the SC4Tool file looks like now :



(I'd like a picture of what it SHOULD look like, perhaps it'll help. Anyone ?)

When I try to find a 32 bit version I am directed to a site that offers dotNetFx45_Full_setup.exe. When I upload that and execute, I get a message saying that “Microsoft Net Framework4 or an ulterior version is already installed on this computer”. (I feel like I'm in a Hall of Mirrors or something...)
 
So where do I find a 32 bit version ?